TagLib::ID3v2::OwnershipFrame Class Reference

An implementation of ID3v2 "ownership". More...

`#include <ownershipframe.h>`

Inheritance diagram for TagLib::ID3v2::OwnershipFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::OwnershipFrame:
[legend]

## Public Member Functions

| OwnershipFrame (String::Type encoding=String::Latin1)
| OwnershipFrame (const ByteVector &data)
| ~OwnershipFrame () override
| OwnershipFrame (const OwnershipFrame &)=delete
OwnershipFrame & | operator= (const OwnershipFrame &)=delete
String | toString () const override
StringList | toStringList () const override
String | datePurchased () const
void | setDatePurchased (const String &s)
String | pricePaid () const
void | setPricePaid (const String &s)
String | seller () const
void | setSeller (const String &seller)
String::Type | textEncoding () const
void | setTextEncoding (String::Type encoding)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 "ownership".

This implements the ID3v2 ownership (OWNE frame). It consists of a price paid, a date purchased (YYYYMMDD) and the name of the seller.

## Constructor & Destructor Documentation

## OwnershipFrame() [1/3]

TagLib::ID3v2::OwnershipFrame::OwnershipFrame | ( | String::Type | encoding = String::Latin1 | ) |

explicit

Construct an empty ownership frame.

References TagLib::String::Latin1.

Referenced by operator=(), OwnershipFrame(), and renderFields().

## OwnershipFrame() [2/3]

TagLib::ID3v2::OwnershipFrame::OwnershipFrame | ( | const ByteVector & | data | ) |

explicit

Construct an ownership frame based on the data in data.

## ~OwnershipFrame()

TagLib::ID3v2::OwnershipFrame::~OwnershipFrame | ( |  | ) |

override

Destroys this OwnershipFrame instance.

## OwnershipFrame() [3/3]

TagLib::ID3v2::OwnershipFrame::OwnershipFrame | ( | const OwnershipFrame & |  | ) |

delete

References OwnershipFrame().

## Member Function Documentation

## datePurchased()

String TagLib::ID3v2::OwnershipFrame::datePurchased | ( |  | ) | const

Returns the date purchased.

See also
  setDatePurchased()

## operator=()

OwnershipFrame & TagLib::ID3v2::OwnershipFrame::operator= | ( | const OwnershipFrame & |  | ) |

delete

References OwnershipFrame().

## parseFields()

void TagLib::ID3v2::OwnershipFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## pricePaid()

String TagLib::ID3v2::OwnershipFrame::pricePaid | ( |  | ) | const

Returns the price paid.

See also
  setPricePaid()

## renderFields()

ByteVector TagLib::ID3v2::OwnershipFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References OwnershipFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## seller()

String TagLib::ID3v2::OwnershipFrame::seller | ( |  | ) | const

Returns the seller.

See also
  setSeller()

Referenced by setSeller().

## setDatePurchased()

void TagLib::ID3v2::OwnershipFrame::setDatePurchased | ( | const String & | s | ) |

Set the date purchased.

See also
  datePurchased()

## setPricePaid()

void TagLib::ID3v2::OwnershipFrame::setPricePaid | ( | const String & | s | ) |

Set the price paid.

See also
  pricePaid()

## setSeller()

void TagLib::ID3v2::OwnershipFrame::setSeller | ( | const String & | seller | ) |

Set the seller.

See also
  seller()

References seller().

## setTextEncoding()

void TagLib::ID3v2::OwnershipFrame::setTextEncoding | ( | String::Type | encoding | ) |

Sets the text encoding to be used when rendering this frame to encoding.

See also
  textEncoding()
  render()

## textEncoding()

String::Type TagLib::ID3v2::OwnershipFrame::textEncoding | ( |  | ) | const

Returns the text encoding that will be used in rendering this frame. This defaults to the type that was either specified in the constructor or read from the frame when parsed.

See also
  setTextEncoding()
  render()

## toString()

String TagLib::ID3v2::OwnershipFrame::toString | ( |  | ) | const

override virtual

Returns price paid, date purchased and seller.

See also
  text()

Implements TagLib::ID3v2::Frame.

## toStringList()

StringList TagLib::ID3v2::OwnershipFrame::toStringList | ( |  | ) | const

override virtual

Returns price paid, date purchased and seller.

Reimplemented from TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- ownershipframe.h